Bug 57290 - you can delete loop devices that it are mount
you can delete loop devices that it are mount
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-08 17:57 EST by acount closed by user
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 17:47:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2001-12-08 17:57:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.16-0.5 i686)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mount -o loop my.iso /mnt/iso
2. rm my.iso
3. is it  a bug ? or must be the kernel put chattr i to the iso file 
	

Additional info:
Comment 1 Tethys 2002-01-04 19:06:45 EST
IMHO, this isn't a bug. It's the way Unix has always worked. You can delete
any file that's open, whether it's being viewed with less, or mounted as a
loopback filesystem. The kernel will hang onto the resources until it's
closed. The only bug is in fuser, which doesn't tell you that a file is in
use as a loopback filesystem (or at least, it didn't last time I checked).
Comment 2 acount closed by user 2003-06-08 12:10:52 EDT
in redhat_9 it happen too

Note You need to log in before you can comment on or make changes to this bug.